---
batch_connect:
  template: basic
  conn_params:
    - csrftoken
script:
  queue_name: <%= custom_queue %>

  native:
    - "--account"
    - "<%= custom_account %>"  
    - "--nodes"
    - "<%= bc_num_slots.blank? ? 1 : bc_num_slots.to_i %>"
    - "--ntasks"
    - "<%= bc_num_slots.blank? ? 1 : bc_num_slots.to_i %>"
    - "--cpus-per-task"
    - "<%= num_cpus.blank? ? 1 : num_cpus.to_i %>"
    - "--mem"
    - "<%= num_mem.blank? ? 1 : num_mem.to_i %>G"

    <%- if num_gpus.to_i >0 -%>
    - "--gpus-per-task"
    - "<%= num_gpus.to_i %>"
    <%- end -%>
